
#ifndef CAFFEINE_CAMERA
#define CAFFEINE_CAMERA

#include "default.h"
#include "vector.h"

const int X_AXIS = 0;
const int Y_AXIS = 1;
const int Z_AXIS = 2;

class CCamera
{
    public:
		CCamera();
		~CCamera() {   };

        void Position(float, float, float);
		void Position(CVector);
		void SetPos(const int, float);
		float GetPos(const int);
		void SetRotation(const int, float);
		float GetRotation(const int);
        void Rotate(float, float, float);
		void Orient(CVector New);
        void Update();
		void Reset();

    private:
        CVector orient;
		CVector pos;
};

#endif