
#ifndef CAFFEINE_RT_TYPES
#define CAFFEINE_RT_TYPES

class RTT
{
	public:
		long base;
		long spec;
};

typedef enum 
{
	OBJECT_GENERIC,
	OBJECT_AMMO,
	OBJECT_MEDKIT,

	ENEMY_GENERIC,
	ENEMY_SAIJIN,
	ENEMY_MAGMAI,

	PROJECTILE_BULLET,

	ENTITY_PLAYER,

	NumTypes  // leave at bottom
};

const RTT TypeList[NumTypes] = 
{
	{0, 0},
	{0, 1},
	{0, 2},

	{1, 0},
	{1, 1},
	{1, 2},

	{2, 1},

	{3, 1}
};

inline bool IsA(RTT Type, RTT Comp)
{
	return (Type.base == Comp.base && Type.spec == Comp.spec);
}	

inline bool IsLikeA(RTT Type, RTT Comp)
{
	return (Type.base == Comp.base);
}	

#endif